> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/knowledge-graph/object-types/domain-type.md).

# DomainType

The domain type of a resource.

```graphql
type DomainType implements Auditable, Node {
  children(
    limit: Int = 10
    offset: Int = 0
    order: [[DomainTypeOrder]]
    where: DomainTypeFilter
  ): [DomainType!]!
  createdBy: User
  createdOn: DateTime
  description: String
  id: UUID!
  meta: Boolean
  modifiedBy: User
  modifiedOn: DateTime
  name: String
  parent: DomainType
  publicId: String
  system: Boolean!
}
```

### Fields

#### children ● [`[DomainType!]!`](/api/graphql/knowledge-graph/object-types/domain-type.md) non-null object <a href="#children" id="children"></a>

A list of child domain types for this domain type.

**limit ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The maximum items to return.

**offset ●** [**`Int`**](/api/graphql/knowledge-graph/scalars/int.md) **scalar**

The number of items to skip.

**order ●** [**`[[DomainTypeOrder]]`**](/api/graphql/knowledge-graph/input-types/domain-type-order.md) **list input**

Sorting parameters.

**where ●** [**`DomainTypeFilter`**](/api/graphql/knowledge-graph/input-types/domain-type-filter.md) **input**

Filtering parameters.

#### createdBy ● [`User`](/api/graphql/knowledge-graph/object-types/user.md) object <a href="#created-by" id="created-by"></a>

The user who created this resource.

#### createdOn ● [`DateTime`](/api/graphql/knowledge-graph/scalars/date-time.md) scalar <a href="#created-on" id="created-on"></a>

The creation date of this resource.

#### description ● [`String`](/api/graphql/knowledge-graph/scalars/string.md) scalar <a href="#description" id="description"></a>

The description of this domain type.

#### id ● [`UUID!`](/api/graphql/knowledge-graph/scalars/uuid.md) non-null scalar <a href="#id" id="id"></a>

The universally unique identifier of this node.

#### meta ● [`Boolean`](/api/graphql/knowledge-graph/scalars/boolean.md) scalar <a href="#meta" id="meta"></a>

Whether this domain type is related to the Collibra metamodel.

#### modifiedBy ● [`User`](/api/graphql/knowledge-graph/object-types/user.md) object <a href="#modified-by" id="modified-by"></a>

The user who last modified this resource.

#### modifiedOn ● [`DateTime`](/api/graphql/knowledge-graph/scalars/date-time.md) scalar <a href="#modified-on" id="modified-on"></a>

The last modified date of this resource.

#### name ● [`String`](/api/graphql/knowledge-graph/scalars/string.md) scalar <a href="#name" id="name"></a>

The name of the this domain type.

#### parent ● [`DomainType`](/api/graphql/knowledge-graph/object-types/domain-type.md) object <a href="#parent" id="parent"></a>

The parent domain type of this domain type. It is null for root types.

#### publicId ● [`String`](/api/graphql/knowledge-graph/scalars/string.md) scalar <a href="#public-id" id="public-id"></a>

The public identifier of this domain type.

#### system ● [`Boolean!`](/api/graphql/knowledge-graph/scalars/boolean.md) non-null scalar <a href="#system" id="system"></a>

Whether this resource is reserved by the system.

### Interfaces

#### [`Auditable`](/api/graphql/knowledge-graph/interfaces/auditable.md) interface

An interface implemented by all types holding auditing information.

#### [`Node`](/api/graphql/knowledge-graph/interfaces/node.md) interface

A base interface implemented by all types.

### Member Of

[`Domain`](/api/graphql/knowledge-graph/object-types/domain.md) object ● [`DomainType`](/api/graphql/knowledge-graph/object-types/domain-type.md) object


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/knowledge-graph/object-types/domain-type.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
